IAxis (Colt 1.2.0 - API Specification)
Keywords: hep.aida.IAxis interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hep.aida
Interface IAxis

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  FixedAxis, VariableAxis

public interface IAxis
extends Serializable

An IAxis represents a binned histogram axis. A 1D Histogram would have one Axis representing the X axis, while a 2D Histogram would have two axes representing the X and Y Axis.

Version:
  1.0, 23/03/2000

Field Summary
`static long` | `serialVersionUID`

Method Summary
`double` | `binCentre(int index)` Centre of the bin specified.
`double` | `binLowerEdge(int index)` Lower edge of the specified bin.
`int` | `bins()` The number of bins (excluding underflow and overflow) on the axis.
`double` | `binUpperEdge(int index)` Upper edge of the specified bin.
`double` | `binWidth(int index)` Width of the bin specified.
`int` | `coordToIndex(double coord)` Converts a coordinate on the axis to a bin number.
`double` | `lowerEdge()` Lower axis edge.
`double` | `upperEdge()` Upper axis edge.

Field Detail

### serialVersionUID

    public static final long serialVersionUID

See Also:
  Constant Field Values

Method Detail

### binCentre

    public double binCentre(int index)

  Centre of the bin specified.

  Parameters:
    `index` - Bin number (0...bins()-1) or OVERFLOW or UNDERFLOW.

### binLowerEdge

    public double binLowerEdge(int index)

  Lower edge of the specified bin.

  Parameters:
    `index` - Bin number (0...bins()-1) or OVERFLOW or UNDERFLOW.
  Returns:
    the lower edge of the bin; for the underflow bin this is `Double.NEGATIVE_INFINITY`.

### bins

    public int bins()

  The number of bins (excluding underflow and overflow) on the axis.

### binUpperEdge

    public double binUpperEdge(int index)

  Upper edge of the specified bin.

  Parameters:
    `index` - Bin number (0...bins()-1) or OVERFLOW or UNDERFLOW.
  Returns:
    the upper edge of the bin; for the overflow bin this is `Double.POSITIVE_INFINITY`.

### binWidth

    public double binWidth(int index)

  Width of the bin specified.

  Parameters:
    `index` - Bin number (0...bins()-1) or OVERFLOW or UNDERFLOW.

### coordToIndex

    public int coordToIndex(double coord)

  Converts a coordinate on the axis to a bin number. If the coordinate is < lowerEdge returns UNDERFLOW, and if the coordinate is >= upperEdge returns OVERFLOW.

### lowerEdge

    public double lowerEdge()

  Lower axis edge.

### upperEdge

    public double upperEdge()

  Upper axis edge.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jump to the Colt Homepage